[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit '_crw_dimc' (#crwlib)

# TDimThreadList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_dimc.pas line 268

`type TDimThreadList = class(TThreadList)`
`public`
`procedure FreeServices;`
`procedure StopServices;`
`procedure StartServices;`
`procedure UpdateServices;`
`procedure DeleteServices;`
`function CountServices;`
`function CountStartedServices;`
`function ListServicesNames;`
`function HasService();`
`function AddService();`
`function DeleteService();`
`procedure ForEachService();`
`end;`

## Inheritance

`TDimThreadList`
`TThreadList`
?
`TObject`